YI(1)

NAME
yi - text editor extensible in Haskell

SYNOPSIS
yi [OPTION] [FILENAME]

DESCRIPTION
Yi is a text editor written and extensible in Haskell. Consult the html documentation for a full description of its behaviour.

--selfcheck
    Run self-checks

-f frontend --frontend=frontend
    Select frontend (one of vty, gtk, pango, cocoa).

-y config --config-file=config
    Specify a configuration file.

-V --version
    Show version information

-h --help
    Show help message.

--debug
    Write debug information in a log file.

-l num --line=num
    Start on given line number

--as=editor
    Start with key bindings of given editor.

--recompile-force
    Force recompile of custom Yi before starting.

--resume
    Resume execution of Yi from previous state.

--recompile
    Recompile custom Yi if required then exit.

FILES
It can be configured in ~/.config/yi/yi.hs; consult the html documentation.

BUGS
Bug reports should be posted to the Google issue tracker <http://code.google.com/p/yi-editor/issues/>. Other suggestions or ideas may be posted to the yi-devel <yi-devel@googlegroups.com> mailing list.

COPYRIGHT
Copyright © 2004-2005 Don Stewart, except for components derived from Riot <http://iki.fi/tuomov/riot/>, Copyright © Tuomo Valkonen.

Yi is released under the terms of the GPL.

SEE ALSO
vi(1)

AUTHOR

Yi is developed by a team of many developers, currently lead by Jean-Philippe Bernardy.